Package org.drinkless.tdlib

# Class TdApi.AuctionStateFinished

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.AuctionState
org.drinkless.tdlib.TdApi.AuctionStateFinished

Enclosing class:
  `TdApi`

public static class TdApi.AuctionStateFinished extends TdApi.AuctionState
Contains information about a finished auction.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.AuctionState

  `TdApi.AuctionState.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `acquiredItemCount`
  The number of items that were purchased by the current user on the auction.
  `long`
  `averagePrice`
  Average price of bought items in Telegram Stars.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `endDate`
  Point in time (Unix timestamp) when the auction will be ended.
  `int`
  `fragmentListedItemCount`
  Number of items from the auction being resold on Fragment.
  `String`
  `fragmentUrl`
  The HTTPS link to the Fragment for the resold items; may be empty if there are no such items being sold on Fragment.
  `int`
  `startDate`
  Point in time (Unix timestamp) when the auction started.
  `int`
  `telegramListedItemCount`
  Number of items from the auction being resold on Telegram.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuctionStateFinished()`
  Contains information about a finished auction.
  `AuctionStateFinished(int startDate, int endDate, long averagePrice, int acquiredItemCount, int telegramListedItemCount, int fragmentListedItemCount, String fragmentUrl)`
  Contains information about a finished auction.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### startDate

    public int startDate
    Point in time (Unix timestamp) when the auction started.

  - ### endDate

    public int endDate
    Point in time (Unix timestamp) when the auction will be ended.

  - ### averagePrice

    public long averagePrice
    Average price of bought items in Telegram Stars.

  - ### acquiredItemCount

    public int acquiredItemCount
    The number of items that were purchased by the current user on the auction.

  - ### telegramListedItemCount

    public int telegramListedItemCount
    Number of items from the auction being resold on Telegram.

  - ### fragmentListedItemCount

    public int fragmentListedItemCount
    Number of items from the auction being resold on Fragment.

  - ### fragmentUrl

    public String fragmentUrl
    The HTTPS link to the Fragment for the resold items; may be empty if there are no such items being sold on Fragment.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### AuctionStateFinished

    public AuctionStateFinished()
    Contains information about a finished auction.

  - ### AuctionStateFinished

    public AuctionStateFinished(int startDate, int endDate, long averagePrice, int acquiredItemCount, int telegramListedItemCount, int fragmentListedItemCount, String fragmentUrl)
    Contains information about a finished auction.
    Parameters:
      `startDate` - Point in time (Unix timestamp) when the auction started.
      `endDate` - Point in time (Unix timestamp) when the auction will be ended.
      `averagePrice` - Average price of bought items in Telegram Stars.
      `acquiredItemCount` - The number of items that were purchased by the current user on the auction.
      `telegramListedItemCount` - Number of items from the auction being resold on Telegram.
      `fragmentListedItemCount` - Number of items from the auction being resold on Fragment.
      `fragmentUrl` - The HTTPS link to the Fragment for the resold items; may be empty if there are no such items being sold on Fragment.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.AuctionState`
    Returns:
      this.CONSTRUCTOR